Media
If a media could not be processed, the order may not be produced. Individual media items can be reprocessed via this update endpoint.
One possible reason why the media could not be processed is that it could not be read from the URL because the server was or is unreachable.
#UPDATE MEDIA
Update media files
#Example of update media file
Request
PUT /async/media/update
{
"media": [
{
"id": 1,
"requested":
{
"url": "https://smake-public.s3.eu-west-1.amazonaws.com/testfiles/logo.png",
"collection": "view-image"
}
}
]
}
Response
{
"successful": {
"message": "The following media entries have been successfully adjusted",
"successful_entries": [
1
]
}
}
Validation Errors
200 OK – Some Media could not be updated
{
"message": "Some Media could not be updated",
"failed_entries": {
"Media has not valid state (failed or ready)": [
1
]
}
}
Possible causes:
- See message in failed entries.
400 Bad Request – Media Models Not Found
{
"message": "No results found for Media"
}
Possible causes:
- The id value in body does not point to a valid Media entry or is invalid.
500 Internal Server Error – Media could not be updated
{
"message": "Media could not be updated"
}
Possible causes:
- Internal server error
- Faulty system dependency
- Database or service outage
Note: The error is automatically recorded and reported on the server side.